#!/usr/bin/env python3

import os
import shutil
import sqlite3

try:
    shutil.rmtree("build")
except FileNotFoundError:
    pass
os.mkdir("build")

shutil.copy("articles.db", "build/articles.db")
shutil.copy("sources.toml", "build/sources.toml")
shutil.copy("model.gptc", "build/model.gptc")

con = sqlite3.Connection("build/articles.db")
con.execute("UPDATE articles SET text = '***';")
con.commit()
con.execute("VACUUM;")
con.commit()
con.close()
